ModelNotification (Mule ESB 2.2.1 API)
Keywords: org.mule.context.notification.ModelNotification class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class ModelNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.ModelNotification

All Implemented Interfaces:
  Serializable, BlockingServerEvent

    public class ModelNotification

extends ServerNotification
implements BlockingServerEvent

`ModelNotification` is fired when an event such as the model starting occurs. The payload of this event will always be a reference to the model.

See Also:
  `Model`, Serialized Form

Field Summary
`static int` | `MODEL_DISPOSED`
`static int` | `MODEL_DISPOSING`
`static int` | `MODEL_INITIALISED`
`static int` | `MODEL_INITIALISED_LISTENERS`
`static int` | `MODEL_INITIALISING`
`static int` | `MODEL_INITIALISING_LISTENERS`
`static int` | `MODEL_STARTED`
`static int` | `MODEL_STARTING`
`static int` | `MODEL_STOPPED`
`static int` | `MODEL_STOPPING`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ModelNotification(Model model, int action)`

Method Summary
`protected String` | `getPayloadToString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODEL_INITIALISING

    public static final int MODEL_INITIALISING

See Also:
  Constant Field Values

### MODEL_INITIALISED

    public static final int MODEL_INITIALISED

See Also:
  Constant Field Values

### MODEL_INITIALISING_LISTENERS

    public static final int MODEL_INITIALISING_LISTENERS

See Also:
  Constant Field Values

### MODEL_INITIALISED_LISTENERS

    public static final int MODEL_INITIALISED_LISTENERS

See Also:
  Constant Field Values

### MODEL_STARTING

    public static final int MODEL_STARTING

See Also:
  Constant Field Values

### MODEL_STARTED

    public static final int MODEL_STARTED

See Also:
  Constant Field Values

### MODEL_STOPPING

    public static final int MODEL_STOPPING

See Also:
  Constant Field Values

### MODEL_STOPPED

    public static final int MODEL_STOPPED

See Also:
  Constant Field Values

### MODEL_DISPOSING

    public static final int MODEL_DISPOSING

See Also:
  Constant Field Values

### MODEL_DISPOSED

    public static final int MODEL_DISPOSED

See Also:
  Constant Field Values

Constructor Detail

### ModelNotification

    public ModelNotification(Model model,
                             int action)

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.